Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
testing::internal::FloatingPoint< RawType > Class Template Reference

## Public Types
typedef TypeWithSize< sizeof(RawType)> ::UInt | Bits

## Public Member Functions
| FloatingPoint (const RawType &x)
const Bits & | bits () const
Bits | exponent_bits () const
Bits | fraction_bits () const
Bits | sign_bit () const
bool | is_nan () const
bool | AlmostEquals (const FloatingPoint &rhs) const
template<>
float | Max ()
template<>
double | Max ()

## Static Public Member Functions
static RawType | ReinterpretBits (const Bits bits)
static RawType | Infinity ()
static RawType | Max ()

## Static Public Attributes
static const size_t | kBitCount = 8*sizeof(RawType)
static const size_t | kFractionBitCount
static const size_t | kExponentBitCount = kBitCount - 1 - kFractionBitCount
static const Bits | kSignBitMask = static_cast<Bits>(1) << (kBitCount - 1)
static const Bits | kFractionBitMask
static const Bits | kExponentBitMask = ~(kSignBitMask | kFractionBitMask)
static const size_t | kMaxUlps = 4

## Detailed Description

### template<typename RawType>
class testing::internal::FloatingPoint< RawType >

Definition at line 262 of file gtest-internal.h.

## Member Data Documentation

template<typename RawType >

const size_t testing::internal::FloatingPoint< RawType >::kFractionBitCount
| static

Initial value:
=
std::numeric_limits<RawType>::digits - 1

Definition at line 274 of file gtest-internal.h.

template<typename RawType >

const Bits testing::internal::FloatingPoint< RawType >::kFractionBitMask
| static

Initial value:
=
~static_cast<Bits>(0) >> (kExponentBitCount + 1)

Definition at line 284 of file gtest-internal.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-internal.h